summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-05-13 00:58:18 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:18 +0200
commit16bf95de6106472a3a3eefa2f34fe51fb66bdabe (patch)
tree3b2ad72ea338e59e8fb72f0490e5c28f38811265 /graphics
parenta84b5f8e51bbe403599852fcc7540346b688fd04 (diff)
downloadslackbuilds-16bf95de6106472a3a3eefa2f34fe51fb66bdabe.tar.gz
slackbuilds-16bf95de6106472a3a3eefa2f34fe51fb66bdabe.tar.xz
graphics/geeqie: Added to 13.0 repository
Diffstat (limited to 'graphics')
-rw-r--r--graphics/geeqie/README5
-rw-r--r--graphics/geeqie/doinst.sh4
-rw-r--r--graphics/geeqie/geeqie.SlackBuild84
-rw-r--r--graphics/geeqie/geeqie.info10
-rw-r--r--graphics/geeqie/slack-desc19
5 files changed, 122 insertions, 0 deletions
diff --git a/graphics/geeqie/README b/graphics/geeqie/README
new file mode 100644
index 0000000000..ae3c38fd3c
--- /dev/null
+++ b/graphics/geeqie/README
@@ -0,0 +1,5 @@
+Geeqie is a lightweight Gtk+ based image viewer.
+
+Geeqie is a fork from the gqview project and is still in beta, but is very
+stable and has many bug-fixes and several improvements over the original
+program.
diff --git a/graphics/geeqie/doinst.sh b/graphics/geeqie/doinst.sh
new file mode 100644
index 0000000000..99fe936e34
--- /dev/null
+++ b/graphics/geeqie/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q /usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/graphics/geeqie/geeqie.SlackBuild b/graphics/geeqie/geeqie.SlackBuild
new file mode 100644
index 0000000000..e48f576f21
--- /dev/null
+++ b/graphics/geeqie/geeqie.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for geeqie
+# a light-weight image viewer
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# revision date: 2009/12/30
+
+PRGNAM=geeqie
+VERSION=${VERSION:-1.0beta2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-readmedir=/usr/doc/$PRGNAM-$VERSION \
+ --with-htmldir=/usr/doc/$PRGNAM-$VERSION/html \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS INSTALL NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/geeqie/geeqie.info b/graphics/geeqie/geeqie.info
new file mode 100644
index 0000000000..720ad6a3f7
--- /dev/null
+++ b/graphics/geeqie/geeqie.info
@@ -0,0 +1,10 @@
+PRGNAM="geeqie"
+VERSION="1.0beta2"
+HOMEPAGE="http://geeqie.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/geeqie/files/geeqie/geeqie-1.0beta2/geeqie-1.0beta2.tar.gz/download"
+MD5SUM="4e4ddc96a83e1d6bc43d478796e0b3c4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/geeqie/slack-desc b/graphics/geeqie/slack-desc
new file mode 100644
index 0000000000..c944886969
--- /dev/null
+++ b/graphics/geeqie/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+geeqie: geeqie (Geeqie Image Browser)
+geeqie:
+geeqie: Geeqie is a lightweight Gtk+ based image viewer for Unix like
+geeqie: operating systems.
+geeqie:
+geeqie: Homepage: http://geeqie.sourceforge.net/
+geeqie:
+geeqie:
+geeqie:
+geeqie:
+geeqie: